| Home | Libraries | People | FAQ | More

##### url::remove_origin

Remove the origin component.

###### Synopsis

    url&
    remove_origin();

###### Description

This function removes the origin, which consists of the scheme and authority.

###### Example

    assert( url( "http://www.example.com/index.htm" ).remove_origin().buffer() == "/index.htm" );

###### Postconditions

    this->scheme_id() == scheme::none && this->has_authority() == false

###### Complexity

Linear in `this->size()`.

###### Exception Safety

Throws nothing.